import platform
import settings
import subprocess
import paramiko
from scp import SCPClient
from .framework_log import framework_logger

def scp_report_to_specified_path(source_report_path):
    """
    @author: Wang Lin
    """
    ssh_client = paramiko.SSHClient()
    ssh_client.set_missing_host_key_policy(paramiko.AutoAddPolicy)
    ssh_client.connect(settings.SPECIFIED_REPORT_HOST_IP, settings.SPECIFIED_REPORT_HOST_PORT,
                       settings.SPECIFIED_REPORT_HOST_USERNAME, settings.SPECIFIED_REPORT_HOST_PASSWORD)
    scpclient = SCPClient(ssh_client.get_transport(), socket_timeout=15.0)

    try:
        scpclient.put(source_report_path, settings.SPECIFIED_REPORT_PATH, recursive=True, )
    except FileNotFoundError as e:
        framework_logger.error(e)
        framework_logger.error("系统找不到指定文件" + source_report_path)
    else:
        framework_logger.info(
            "文件上传成功 from: " + source_report_path + " ----- to: " + settings.SPECIFIED_REPORT_HOST_PORT + settings.SPECIFIED_REPORT_PATH)
    finally:
        ssh_client.close()
